View Issue Details

IDProjectCategoryView StatusLast Update
0000514luatexfeature requestpublic2010-12-13 14:43
ReporterHans HagenAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.65.0 
Summary0000514: node.type
Descriptionlpeg.type(value) returns "patterns"; it makes sense to let node.type(value) return "node" then; this means that the current node.type has to be renamed (can be part of the name cleanup / extensions that we need to do with tokens as well and get the names in sync)
TagsNo tags attached.

Activities

Taco

2010-11-29 14:21

administrator   ~0000694

commit #4008 patches node.type() so that it returns "node" if the argument is a userdata object of type node

Issue History

Date Modified Username Field Change
2010-11-17 15:07 Hans Hagen New Issue
2010-11-29 14:21 Taco Note Added: 0000694
2010-11-29 14:21 Taco Status new => resolved
2010-11-29 14:21 Taco Resolution open => fixed
2010-11-29 14:21 Taco Assigned To => Taco
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed